require "studio_game/berserk_player"

module StudioGame
    describe BerserkPlayer do
        
        before do
            @initial_health = 50
            @player = BerserkPlayer.new("berserker", @initial_health)
        end
        
        it "does not go to berserk when woot up to 5" do
            1.upto(5) { @player.woot}
            expect(@player.berserk?).to eq(false)
        end
        
        it "goes into berserk mode when woot more than 5" do
            1.upto(6) {@player.woot}
            expect(@player.berserk?).to eq(true)
        end
        
        it "gets wooted instead of blam when woot is more than 5" do
            1.upto(6) {@player.woot}
            1.upto(2) {@player.blam}
            
            expect(@player.health).to eq(@initial_health + 8*15)
        end
        
    end
end