require "studio_game/game"

module StudioGame
    describe Game do
        
        before do
            @game = Game.new("knuckleheads")
            @initial_health = 100
            @player = Player.new("moe",@initial_health)
            @game.add_players(@player)
        end
        
        it "w00t the player when high number is rolled" do
            allow_any_instance_of(Die).to receive(:roll).and_return(5)
            @game.play(2)
            expect(@player.health).to eq(@initial_health + 30)
        end
        
        it "skips the player when medium number is rolled" do 
            allow_any_instance_of(Die).to receive(:roll).and_return(3)
            @game.play(2)
            expect(@player.health).to eq(@initial_health)
        end
        
        it "blams the player when low number is rolled" do
            allow_any_instance_of(Die).to receive(:roll).and_return(2)
            @game.play(2)
            expect(@player.health).to eq(@initial_health - 20)
        end
        
        it "assigns a treasure for points during a player's turn" do
            game = Game.new("Knuckleheads")
            player = Player.new("moe")
    
            game.add_players(player)
    
            game.play(1)
    
            expect(player.points).not_to be_zero
        end
        
    end
end